<?php

/*

 * Developer : John D'Alto (jdalto@yahoo.com)

 * Date : 9/1/2012

 * All code (c)2012 JLS Consulting, all rights reserved

 */



namespace Dorcas\TabithaBundle\Form\Type;



use Symfony\Component\Form\AbstractType;

use Symfony\Component\Form\FormBuilder;

use Doctrine\ORM\EntityRepository;

use Symfony\Component\OptionsResolver\OptionsResolverInterface;



class SearchType extends AbstractType

{

    public function buildForm(FormBuilder $builder, array $options)

    {

        $builder->add('ssn', 'text', array('label' => 'SSN/Tax ID:', 'max_length' => 11));

        $builder->add('last_name', 'text', array('label' => 'Last Name:', 'error_bubbling' => 'true'));

		$builder->add('first_name', 'text', array('label' => 'First Name:', 'error_bubbling' => 'true'));

        $builder->add('alias', 'text', array('label' => 'Alias/Maiden Name:'));

		$builder->add('current_address', 'text', array('label' => 'Address:'));

		$builder->add('prev_address1', 'text', array('label' => 'Previous Address:'));

        $builder->add('other_adult_oneLastName', 'text', array('label' => 'Other Adult #1 Last Name:'));

		$builder->add('other_adult_oneFirstName', 'text', array('label' => 'Other Adult #1 First Name:'));

		$builder->add('other_adult_twoLastName', 'text', array('label' => 'Other Adult #2 Last Name:'));

		$builder->add('other_adult_twoFirstName', 'text', array('label' => 'Other Adult #2 First Name:'));

	

    }

    

    public function getName()

    {

        return 'clientinformationform';

    }

    

        public function getDefaultOptions(array $options)

    {

        return array('data_class' => 'Dorcas\TabithaBundle\Entity\Client',);

    }

    

    public function setDefaultOptions(OptionsResolverInterface $resolver)

    {

    $resolver->setDefaults(array(

        'data_class' => 'Dorcas\TabithaBundle\Entity\Client',

    ));

    }

}

